Tanglu. La Debian testing usable

Posted on by 0 comment

Llevo tiempo usando Debian en servidores y en el escritorio. Para los servidores siempre uso Debian estable, sin lugar a duda. Sin problemas con las actualizaciones de seguridad o incluso con las actualizaciones entre versiones.

 

¿Y para el escritorio?

 

En este caso busco algo mas actual. Cuando se lanza una nueva versión de Debian estable, ya algunos paquetes están algo viejos. Durante algún tiempo estuve con Debian testing, pero de vez en cuando después de una actualización algo se rompe y hay que arremangarse para arreglarlo. A habido intentos de tener una Debian Testing mas estable como CUT (Constantly Usable Testing) pero no acaban progresando.

 

Para el escritorio Tanglu

 

Es una Debian Testing usable, pensada para estar mas actualizado pero intentando evitar los problemas de Debian testing. Se mantendrán muy cercanos a Debian (de donde son la mayoría de sus paquetes) donde colaboran y lo seguirán haciendo. Me pareció una idea genial que espero tenga larga vida. De momento ya ha llegado la versión 1.0 (Aequorea Victoria) y me pareció un buen motivo para instalarla en mi escritorio.

 

Instalando Tanglu 1.0 desde Debian

Si ya tienes Debian la cosa no puede ser mas fácil. Yo partía de una Debian estable (Wheezy) y los pasos a seguir son prácticamente iguales a una actualización entre versiones de Debian.

Pasos:

  • Cambiar las fuentes de instalación en /etc/apt/sources.list a:
    • deb http://archive.tanglu.org/tanglu aequorea main contrib non-free
    • deb-src http://archive.tanglu.org/tanglu aequorea main contrib non-free
  • Actualizar la lista de paquetes:
    • apt-get update
  • Instalar las firmas de los paquetes:
    • apt-get install tanglu-archive-keyring
  • Hacer una actualización mínima del sistema:
    • apt-get upgrade
  • Actualizar el sistema:
    • apt-get dist-upgrade
    • En este punto me dio un problema de dependencia cruzada entre systemd-sysv y sysvinit (systemd-sysv conflicts with sysvinit) y no seguía adelante. Tuve que desinstalar sysvinit e instalar systemd y systemd-sysv. ¡Cuidado en este punto! Si desinstalas sysvinit (que pide una confirmación expresa) y no instalas systemd el sistema no iniciará.
      • apt-get remove sysvinit
      • apt-get install systemd systemd-sysv
  • Instalar un par de metapaketes por si se te ha perdido algo en la actualización:
    • apt-get install tanglu-standard
    • apt-get install tanglu-kde ó apt-get install tanglu-gnome

Y después a funcionar. Lo tengo desde hace dos semanas y estoy satisfecho del cambio.

 

RECUERDA: Como siempre que haces actualizaciones importantes, antes del cambio haz una copia de seguridad de tu sistema. Evitarás tirarte de los pelos si algo va muy mal. Yo para estos casos uso Clonezilla.

 

Actualización 22/04/2014

Hay que añadir otra fuente más a /etc/apt/sources.list para tener las actualizaciones de los paquetes:

  • deb http://archive.tanglu.org/tanglu aequorea-updates main contrib non-free
  • deb-src http://archive.tanglu.org/tanglu aequorea-updates main contrib non-free

 

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *